stages:
- name: eventselection_mc16d
  dependencies: [init]
  scheduler:
    scheduler_type: singlestep-stage
    parameters:
      configFile:   {step: init, output: configFile}
      inputFile:    {step: init, output: inputFile_mc16d}
      configMod:    {step: init, output: configMod}
      outputFile:   '{workdir}/powpythia_mc16d.root'
    step: {$ref: 'steps.yml#/eventselection'}
    
- name: eventselection_mc16e
  dependencies: [init]
  scheduler:
    scheduler_type: singlestep-stage
    parameters:
      configFile:   {step: init, output: configFile}
      inputFile:    {step: init, output: inputFile_mc16e}
      configMod:    {step: init, output: configMod}
      outputFile:   '{workdir}/powpythia_mc16e.root'
    step: {$ref: 'steps.yml#/eventselection'}
    
- name: merge
  dependencies: [eventselection_mc16d,eventselection_mc16e]
  scheduler:
    scheduler_type: singlestep-stage
    parameters:
      inputFile_mc16d: {step: eventselection_mc16d, output: histFile}
      inputFile_mc16e: {step: eventselection_mc16e, output: histFile}
      outputFile: '{workdir}/powpythia_merged.root'
    step: {$ref: 'steps.yml#/merge'}

- name: validate
  dependencies: [merge]
  scheduler:
    scheduler_type: singlestep-stage
    parameters:
      mergedFile: {step: merge, output: mergedFile}
      outputPlot: '{workdir}/plot_val.pdf'
    step: {$ref: 'steps.yml#/validate'}
    
  